コンテンツにスキップ
Twexapi
日本語
Esc
移動開く⌘Jプレビュー

ツイートにいいね

ツイートにいいね.

APIリファレンスに戻る
/Tweet Actions Endpoints
POST/twitter/tweets/{tweet_id}/like
API 認証
AuthorizationBearer token · header必須
TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
パスパラメータ
tweet_idstring必須
ツイートの一意のID
リクエストボディ
必須application/json
cookiestring必須
ユーザー自身が承認した Twitter セッション資格情報または auth_token(BYOC — Bring Your Own Cookie)。機密情報は保存されず、完全なステートレスプロキシとして実行されます。詳細は [認証・セキュリティガイド](/ja/authentication#write-operations--byoc-bring-your-own-cookie) および [Cookie 取得手順](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) を参照。
proxystring | any
The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
プロパティを表示
Any of:
string
string
any
any
レスポンス
200A confirmation of the action's success.
codeinteger
HTTP ステータスコード(200 は成功)
default: 200
msgstring
レスポンスメッセージ(例: 'success')
default: "success"
databoolean
返却されるコアデータオブジェクトまたは配列
default: true
422パラメータバリデーションエラー
detailValidationError[]
プロパティを表示
Array of ValidationError
locstring | integer[]必須
プロパティを表示
Array of string | integer
Any of:
string
string
integer
integer
msgstring必須
レスポンスメッセージ(例: 'success')
typestring必須
inputany
ctxobject
インタラクティブテストPOST
インタラクティブテスト / Try APIPOST
Live Console
🌐対象サーバー:https://api.twexapi.io
● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)

1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。

2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。

🔑API 認証
⚙️リクエストパラメータ (1)
📝リクエストボディapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

リクエスト例
curl -X POST "https://api.twexapi.io/twitter/tweets/string/like" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "proxy": "http://username:password@ip:port"
}'
レスポンス例
{
  "code": 200,
  "msg": "success",
  "data": true
}